gr::satellites::nrzi_decode Class Reference

NRZI decode. More...

`#include <nrzi_decode.h>`

Inheritance diagram for gr::satellites::nrzi_decode:
[legend]

## Public Types

typedef boost::shared_ptr< nrzi_decode > | sptr

## Static Public Member Functions

static sptr | make ()
| Return a shared_ptr to a new instance of satellites::nrzi_decode.

## Detailed Description

NRZI decode.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<nrzi_decode> gr::satellites::nrzi_decode::sptr

## Member Function Documentation

## make()

sptr gr::satellites::nrzi_decode::make | ( |  | ) |

static

Return a shared_ptr to a new instance of satellites::nrzi_decode.

To avoid accidental use of raw pointers, satellites::nrzi_decode's constructor is in a private implementation class. satellites::nrzi_decode::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- nrzi_decode.h